### Function

# GLib PtrArray sized_new

#### Declaration [src]

    GPtrArray*
    g_ptr_array_sized_new (
      guint reserved_size
    )

#### Description [src]

Creates a new `GPtrArray` with `reserved_size` pointers preallocated and a reference count of 1. This avoids frequent reallocation, if you are going to add many pointers to the array. Note however that the size of the array is still 0.

This function is not directly available to language bindings.

#### Parameters

`reserved_size`

  Type: `guint`

  The number of pointers preallocated.

#### Return value

Type: An array of `gpointer`

The new `GPtrArray`.

The caller of the function takes ownership of the data, and is responsible for freeing it.